#/**
#         ogr UpdatePartitionTable
#@brief   Fuerza al kernel releer la tabla de particiones de los discos duros
#@param   no requiere
#@return  informacion propia de la herramienta
#@note    Requisitos: \c partprobe
#@version 0.1 -  Integracion para Opengnsys  -  EAC: UpdatePartitionTable() en ATA.lib
#@author  Antonio J. Doblas Viso. Universidad de Malaga
#@date    Date: 27/10/2008
#*/  ##

# Variables locales.
local LIST

# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME"  \
           "$FUNCNAME " \
           ""
    return
fi
LIST=`partprobe -s | cut -f1 -d: ` 2>/dev/null
echo $LIST > /tmp/disk
